List text-to-speech voices
GET
/v1/tts/voices
const url = 'https://api.caller9.app/v1/tts/voices';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.caller9.app/v1/tts/voices \ --header 'Authorization: Bearer <token>'Lists the text-to-speech voices available for generated announcements (a curated set of English voices). Use a voice’s id wherever a voice is configured. Not organization-specific.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Available voices.
Media typeapplication/json
object
voices
required
Array<object>
object
id
required
Voice identifier to use when selecting a voice.
string
provider
required
string
model_id
required
string
name
required
string
label
required
string
accent
required
string
language
required
string
gender
required
Lowercased (e.g. male, female); empty if unspecified.
string
Example
{ "voices": [ { "provider": "telnyx", "model_id": "Ultra", "language": "en-US" } ]}Missing, invalid, expired or revoked API key.
Media typeapplication/json
object
error
required
Human-readable error message.
string
code
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
string
Example generated
{ "error": "example", "code": "example"}Too many requests for this API key. Retry after Retry-After seconds.
Media typeapplication/json
object
error
required
Human-readable error message.
string
code
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
string
Example generated
{ "error": "example", "code": "example"}Headers
Section titled “Headers”Retry-After
integer
Seconds until the rate-limit window resets.